Bug 251856 - gmplayer,totem,gxine,vlc crashes while playing a Theora encoded video
gmplayer,totem,gxine,vlc crashes while playing a Theora encoded video
Status: CLOSED DUPLICATE of bug 232179
Product: Fedora
Classification: Fedora
Component: libtheora (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-12 14:34 EDT by Ashish Shukla
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 03:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of "MALLOC_CHECK_=3 vlc Videos/rms-talk.ogg" (7.88 KB, text/plain)
2007-08-16 02:51 EDT, Ashish Shukla
no flags Details
stderr of "valgrind -v --leak-check=full vlc Videos/rms-talk.ogg" (113.30 KB, text/plain)
2007-08-16 02:52 EDT, Ashish Shukla
no flags Details

  None (edit)
Description Ashish Shukla 2007-08-12 14:34:57 EDT
Description of problem:
gmplayer, totem, gxine crashes while playing a video encoded in Theora. The 
URL of the video is http://csclub.uwaterloo.ca/files/rms-talk.ogg available at 
http://www.csclub.uwaterloo.ca/media/Copyright%20vs%20Community%20in%20the%20Age%20of%20Computer%20Networks.html .

Version-Release number of selected component (if applicable):
mplayer-gui-1.0-0.80.20070715svn.lvn7
mplayer-1.0-0.80.20070715svn.lvn7
gxine-0.5.11-5.fc7
totem-2.18.1-3.fc7
glibc-2.6-4
kernel-2.6.22.1-27.fc7
ffmpeg-0.4.9-0.37.20070503.lvn7
libtheora-1.0alpha7-2.fc7
vlc-0.8.6c-2.lvn7
gstreamer-plugins-good-0.10.5-6.fc7
gstreamer-plugins-bad-0.10.4-2.lvn7.1
gstreamer-plugins-base-0.10.12-2.fc7
gstreamer-plugins-farsight-0.12.1-1.fc7
gstreamer-0.10.13-0.1.fc7
gstreamer-plugins-base-0.10.12-2.fc7
gstreamer-tools-0.10.13-0.1.fc7
gstreamer-plugins-ugly-0.10.5-2.lvn7
gstreamer-plugins-pulse-0.9.4-4.fc7
gstreamer-plugins-schroedinger-0.6.1-2.fc7
gstreamer-python-0.10.7-2.fc7
gstreamer-ffmpeg-0.10.2-2.lvn7
pulseaudio-module-lirc-0.9.6-2.fc7
pulseaudio-module-jack-0.9.6-2.fc7
pulseaudio-lib-zeroconf-0.9.6-2.fc7
pulseaudio-devel-0.9.6-2.fc7
pulseaudio-module-zeroconf-0.9.6-2.fc7
pulseaudio-lib-glib2-0.9.6-2.fc7
pulseaudio-utils-0.9.6-2.fc7
pulseaudio-0.9.6-2.fc7
pulseaudio-module-gconf-0.9.6-2.fc7
pulseaudio-lib-devel-0.9.6-2.fc7
pulseaudio-module-x11-0.9.6-2.fc7
pulseaudio-lib-0.9.6-2.fc7


How reproducible:
Reproducible most of the time.

Steps to Reproduce:

gmplayer
========
1. Start gmplayer.
2. Open and play the rms-talk.ogg
3. Now, press 'q' to quit from gmplayer, and gmplayer crashes.

gxine
======
1. Start gxine.
2. Open and play the rms-talk.ogg, and 'gxine' sometimes crashes at startup.

totem
======
1. Start totem.
2. Open and play the rms-talk.ogg. Sometimes, it crashes after 2-3 seconds.
3. If not crashed in previous step, quit "totem" it will crash now.

vlc
=====
1. Start vlc.
2. Open and play the rms-talk.ogg.
3. Now close the VLC window, and it crashes.


Actual results:
Applications crashed.

Expected results:
No crashes.

Additional info:

I'm also running PulseAudio sound server with "pulseaudio -D" commandline.

== begin "/proc/cpuinfo" ==
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 3
cpu MHz         : 2800.000
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm 
constant_tsc pni monitor ds_cpl est cid cx16 xtpr
bogomips        : 6003.99
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 3
cpu MHz         : 2800.000
cache size      : 2048 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm 
constant_tsc pni monitor ds_cpl est cid cx16 xtpr
bogomips        : 5999.86
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:
== end "/proc/cpuinfo" ==

== begin "vlc" crashdump ==
[wahjava@chatteau Videos]$ vlc rms-talk.ogg
VLC media player 0.8.6c Janus
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:50: Clearlooks 
configuration option "menuitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:51: Clearlooks 
configuration option "listviewitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:52: Clearlooks 
configuration option "progressbarstyle" is not supported and will be ignored.
JACK tmpdir identified as [/dev/shm]
[00000358] jack audio output error: failed to connect to JACK server

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xd9c550' has no 
handler with id `837'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xd9c070' has no 
handler with id `771'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xe04800' has no 
handler with id `1256'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xe0fa00' has no 
handler with id `1442'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xdf92b0' has no 
handler with id `1185'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xde14f0' has no 
handler with id `1122'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xd8ca90' has no 
handler with id `705'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xd7b870' has no 
handler with id `548'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xd7bd50' has no 
handler with id `614'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xde1010' has no 
handler with id `988'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xda92d0' has no 
handler with id `903'

(.:8969): GLib-GObject-WARNING **: gsignal.c:1741: instance `0xaa3540' has no 
handler with id `121'
*** glibc detected *** vlc: free(): invalid next size (fast): 
0x0000000000f46b50 ***
======= Backtrace: =========
/lib64/libc.so.6[0x353a670412]
/lib64/libc.so.6(cfree+0x8c)[0x353a673b1c]
/usr/lib64/libtheora.so.0(theora_comment_clear+0x4e)[0x3545c01d2e]
vlc[0x4abfea]
vlc(__module_Unneed+0x22)[0x44a632]
vlc[0x47a0d1]
/lib64/libpthread.so.0[0x353c2062f7]
/lib64/libc.so.6(clone+0x6d)[0x353a6d0fbd]
======= Memory map: ========
00400000-004ce000 r-xp 00000000 08:15 
10006609                           /usr/bin/vlc
006ce000-006da000 rw-p 000ce000 08:15 
10006609                           /usr/bin/vlc
006da000-01054000 rw-p 006da000 00:00 0                                  
[heap]
40000000-40001000 ---p 40000000 00:00 0
40001000-40a01000 rw-p 40001000 00:00 0
40a01000-40a02000 ---p 40a01000 00:00 0
40a02000-41402000 rw-p 40a02000 00:00 0
41402000-41403000 ---p 41402000 00:00 0
41403000-41e03000 rw-p 41403000 00:00 0
41e03000-41e04000 ---p 41e03000 00:00 0
41e04000-42804000 rw-p 41e04000 00:00 0
43205000-43206000 ---p 43205000 00:00 0
43206000-43c06000 rw-p 43206000 00:00 0
43c06000-43c07000 ---p 43c06000 00:00 0
43c07000-44607000 rw-p 43c07000 00:00 0
44607000-44608000 ---p 44607000 00:00 0
44608000-45008000 rw-p 44608000 00:00 0
45008000-45009000 ---p 45008000 00:00 0
45009000-45a09000 rw-p 45009000 00:00 0
45a09000-45a0a000 ---p 45a09000 00:00 0
45a0a000-4640a000 rw-p 45a0a000 00:00 0
307ee00000-307ee15000 r-xp 00000000 08:15 
10846223                       /lib64/libnsl-2.6.so
307ee15000-307f014000 ---p 00015000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f014000-307f015000 r--p 00014000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f015000-307f016000 rw-p 00015000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f016000-307f018000 rw-p 307f016000 00:00 0
3328000000-3328016000 r-xp 00000000 08:15 
10010475                       /usr/lib64/libdts.so.0.0.0
3328016000-3328216000 ---p 00016000 08:15 
10010475                       /usr/lib64/libdts.so.0.0.0
3328216000-3328223000 rw-p 00016000 08:15 
10010475                       /usr/lib64/libdts.so.0.0.0
3448c00000-3448d25000 r-xp 00000000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448d25000-3448f25000 ---p 00125000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448f25000-3448f44000 rw-p 00125000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448f44000-3448f48000 rw-p 3448f44000 00:00 0
3449000000-3449043000 r-xp 00000000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449043000-3449243000 ---p 00043000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449243000-3449249000 rw-p 00043000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449400000-3449471000 r-xp 00000000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449471000-3449671000 ---p 00071000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449671000-3449676000 rw-p 00071000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449800000-3449868000 r-xp 00000000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.0.0
3449868000-3449a67000 ---p 00068000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.0.0
3449a67000-3449a6b000 rw-p 00067000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.0.0
3449a6b000-3449a6c000 rw-p 3449a6b000 00:00 0
3449c00000-3449c16000 r-xp 00000000 08:15 
10009003                       /usr/lib64/libgnome-2.so.0.1800.0
3449c16000-3449e15000 ---p 00016000 08:15 
10009003                       /usr/lib64/libgnome-2.so.0.1800.0
3449e15000-3449e17000 rw-p 00015000 08:15 
10009003                       /usr/lib64/libgnome-2.so.0.1800.0
34e8800000-34e8816000 r-xp 00000000 08:15 
10849226                       /lib64/libselinux.so.1
34e8816000-34e8a15000 ---p 00016000 08:15 
10849226                       /lib64/libselinux.so.1
34e8a15000-34e8a17000 rw-p 00015000 08:15 
10849226                       /lib64/libselinux.so.1
34e8a17000-34e8a18000 rw-p 34e8a17000 00:00 0
353a200000-353a21a000 r-xp 00000000 08:15 
10849240                       /lib64/ld-2.6.so
353a41a000-353a41b000 r--p 0001a000 08:15 
10849240                       /lib64/ld-2.6.so
353a41b000-353a41c000 rw-p 0001b000 08:15 
10849240                       /lib64/ld-2.6.so
353a600000-353a747000 r-xp 00000000 08:15 
10849250                       /lib64/libc-2.6.so
353a747000-353a947000 ---p 00147000 08:15 
10849250                       /lib64/libc-2.6.so
353a947000-353a94b000 r--p 00147000 08:15 
10849250                       /lib64/libc-2.6.so
353a94b000-353a94c000 rw-p 0014b000 08:15 
10849250                       /lib64/libc-2.6.so
353a94c000-353a951000 rw-p 353a94c000 00:00 0
353ae00000-353ae02000 r-xp 00000000 08:15 
10849251                       /lib64/libdl-2.6.so
353ae02000-353b002000 ---p 00002000 08:15 
10849251                       /lib64/libdl-2.6.so
353b002000-353b003000 r--p 00002000 08:15 
10849251                       /lib64/libdl-2.6.so
353b003000-353b004000 rw-p 00003000 08:15 
10849251                       /lib64/libdl-2.6.so
353b200000-353b20b000 r-xp 00000000 08:15 
10023505                       /usr/lib64/libdvbpsi.so.4.0.0
353b20b000-353b40a000 ---p 0000b000 08:15 
10023505                       /usr/lib64/libdvbpsi.so.4.0.0
353b40a000-353b40b000 rw-p 0000a000 08:15 10023505       Aborted
== end "vlc" crashdump ==

== begin "gxine" crashdump ==
[wahjava@chatteau ~]$ gxine Videos/rms-talk.ogg &
[1] 3477
[wahjava@chatteau 
~]$ /usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:50: Clearlooks 
configuration option "menuitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:51: Clearlooks 
configuration option "listviewitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:52: Clearlooks 
configuration option "progressbarstyle" is not supported and will be ignored.
lirc: cannot initialise - disabling remote control
lirc: maybe lircd isn't running or you can't connect to the socket?
CDROMREADTOCHDR: No medium found
WARN: error in ioctl CDROMREADTOCHDR: No medium found

WARN: error reading PVD sector (16) error -1
*** glibc detected *** gxine: corrupted double-linked list: 0x0000000001591270 
***
======= Backtrace: =========
/lib64/libc.so.6[0x353a66e643]
/lib64/libc.so.6[0x353a670b1d]
/lib64/libc.so.6(__libc_calloc+0x96)[0x353a672196]
/usr/lib64/libtheora.so.0(theora_info_init+0x1f)[0x3545c1fa0f]
/usr/lib64/xine/plugins/1.1.7/xineplug_dmx_ogg.so[0x2aaabbae0584]
/usr/lib64/xine/plugins/1.1.7/xineplug_dmx_ogg.so[0x2aaabbae2c01]
/usr/lib64/libxine.so.1[0x3d04e28a36]
/lib64/libpthread.so.0[0x353c2062f7]
/lib64/libc.so.6(clone+0x6d)[0x353a6d0fbd]
======= Memory map: ========
00400000-00452000 r-xp 00000000 08:15 
1835524                            /usr/bin/gxine
00652000-00655000 rw-p 00052000 08:15 
1835524                            /usr/bin/gxine
00655000-00656000 rw-p 00655000 00:00 0
00854000-00859000 rw-p 00054000 08:15 
1835524                            /usr/bin/gxine
00859000-021c6000 rw-p 00859000 00:00 0                                  
[heap]
40000000-40001000 ---p 40000000 00:00 0
40001000-40a01000 rw-p 40001000 00:00 0
40a01000-40a02000 ---p 40a01000 00:00 0
40a02000-41402000 rw-p 40a02000 00:00 0
41402000-41403000 ---p 41402000 00:00 0
41403000-41e03000 rw-p 41403000 00:00 0
41e03000-41e04000 ---p 41e03000 00:00 0
41e04000-42804000 rw-p 41e04000 00:00 0
42804000-42805000 ---p 42804000 00:00 0
42805000-43205000 rw-p 42805000 00:00 0
43205000-43206000 ---p 43205000 00:00 0
43206000-43c06000 rw-p 43206000 00:00 0
43c06000-43c07000 ---p 43c06000 00:00 0
43c07000-44607000 rw-p 43c07000 00:00 0
44607000-44608000 ---p 44607000 00:00 0
44608000-44648000 rw-p 44608000 00:00 0
44648000-44649000 ---p 44648000 00:00 0
44649000-45049000 rw-p 44649000 00:00 0
45049000-4504a000 ---p 45049000 00:00 0
4504a000-45a4a000 rw-p 4504a000 00:00 0
45a4a000-45a4b000 ---p 45a4a000 00:00 0
45a4b000-45a5b000 rw-p 45a4b000 00:00 0
45a5b000-45a5c000 ---p 45a5b000 00:00 0
45a5c000-45a9c000 rw-p 45a5c000 00:00 0
45a9c000-45a9d000 ---p 45a9c000 00:00 0
45a9d000-4649d000 rw-p 45a9d000 00:00 0
307ee00000-307ee15000 r-xp 00000000 08:15 
10846223                       /lib64/libnsl-2.6.so
307ee15000-307f014000 ---p 00015000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f014000-307f015000 r--p 00014000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f015000-307f016000 rw-p 00015000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f016000-307f018000 rw-p 307f016000 00:00 0
3327c00000-3327c43000 r-xp 00000000 08:15 
2097730                        /usr/lib64/libfaad.so.0.0.0
3327c43000-3327e42000 ---p 00043000 08:15 
2097730                        /usr/lib64/libfaad.so.0.0.0
3327e42000-3327e45000 rw-p 00042000 08:15 
2097730                        /usr/lib64/libfaad.so.0.0.0
3328000000-3328016000 r-xp 00000000 08:15 
10010475                       /usr/lib64/libdts.so.0.0.0
3328016000-3328216000 ---p 00016000 08:15 
10010475                       /usr/lib64/libdts.so.0.0.0
3328216000-3328223000 rw-p 00016000 08:15 
10010475                       /usr/lib64/libdts.so.0.0.0
3448c00000-3448d25000 r-xp 00000000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448d25000-3448f25000 ---p 00125000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448f25000-3448f44000 rw-p 00125000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448f44000-3448f48000 rw-p 3448f44000 00:00 0
3449000000-3449043000 r-xp 00000000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449043000-3449243000 ---p 00043000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449243000-3449249000 rw-p 00043000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449400000-3449471000 r-xp 00000000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449471000-3449671000 ---p 00071000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449671000-3449676000 rw-p 00071000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449800000-3449868000 r-xp 00000000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.
[1]+  Aborted                 gxine Videos/rms-talk.ogg
== end "gxine" crashdump ==

== begin "gmplayer" crashdump ==
[wahjava@chatteau ~]$ gmplayer Videos/rms-talk.ogg
MPlayer SVN-r23784 rpm.livna.org (C) 2000-2007 MPlayer Team
CPU: Intel(R) Pentium(R) 4 CPU 3.00GHz (Family: 15, Model: 4, Stepping: 3)
CPUflags:  MMX: 1 MMX2: 1 3DNow: 0 3DNow2: 0 SSE: 1 SSE2: 1
Compiled with runtime CPU detection.
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:50: Clearlooks 
configuration option "menuitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:51: Clearlooks 
configuration option "listviewitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:52: Clearlooks 
configuration option "progressbarstyle" is not supported and will be ignored.

Playing /home/wahjava/Videos/rms-talk.ogg.
[Ogg] stream 0: video (Theora v3.2.0), -vid 0
[Ogg] stream 1: audio (Vorbis), -aid 0
Ogg file format detected.
VIDEO:  [theo]  720x480  24bpp  29.970 fps    0.0 kbps ( 0.0 kbyte/s)
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
[theora @ 0xd50000]Missing extradata!
Could not open codec.
VDecoder init failed :(
Opening video decoder: [theora] Theora/VP3
VDec: vo config request - 720 x 480 (preferred colorspace: Planar YV12)
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1.36:1 - prescaling to correct movie aspect.
VO: [xv] 720x480 => 720x528 Planar YV12
Selected video codec: [theora] vfm: theora (Theora (free, reworked VP3))
==========================================================================
==========================================================================
Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
AUDIO: 48000 Hz, 2 ch, s16le, 160.0 kbit/10.42% (ratio: 20000->192000)
Selected audio codec: [ffvorbis] afm: ffmpeg (FFmpeg Vorbis decoder)
==========================================================================
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
A: 353.1 V: 353.1 A-V: -0.002 ct:  0.015 10583/10583 13%  3%  0.6% 9 0
A: 355.0 V: 355.0 A-V: -0.001 ct:  0.022 10640/10640 13%  3%  0.6% 15 0
*** glibc detected *** gmplayer: free(): invalid next size (fast): 
0x0000000001425d50 ***
======= Backtrace: =========
/lib64/libc.so.6[0x353a670412]
/lib64/libc.so.6(cfree+0x8c)[0x353a673b1c]
/usr/lib64/libtheora.so.0(theora_comment_clear+0x4e)[0x3545c01d2e]
gmplayer[0x53009f]
gmplayer(uninit_video+0x3e)[0x4f444e]
gmplayer(uninit_player+0x92)[0x4607d2]
gmplayer(exit_player_with_rc+0x15)[0x460df5]
gmplayer(run_command+0x64e)[0x46bb9e]
gmplayer(main+0x1f99)[0x463979]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x353a61dab4]
gmplayer(cos+0x469)[0x45eb39]
======= Memory map: ========
00400000-00af0000 r-xp 00000000 08:15 
1835590                            /usr/bin/gmplayer
00cef000-00d62000 rw-p 006ef000 08:15 
1835590                            /usr/bin/gmplayer
00d62000-00edd000 rw-p 00d62000 00:00 0
01161000-01183000 rw-p 00761000 08:15 
1835590                            /usr/bin/gmplayer
01183000-01c6a000 rw-p 01183000 00:00 0                                  
[heap]
307ee00000-307ee15000 r-xp 00000000 08:15 
10846223                       /lib64/libnsl-2.6.so
307ee15000-307f014000 ---p 00015000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f014000-307f015000 r--p 00014000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f015000-307f016000 rw-p 00015000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f016000-307f018000 rw-p 307f016000 00:00 0
3327c00000-3327c43000 r-xp 00000000 08:15 
2097730                        /usr/lib64/libfaad.so.0.0.0
3327c43000-3327e42000 ---p 00043000 08:15 
2097730                        /usr/lib64/libfaad.so.0.0.0
3327e42000-3327e45000 rw-p 00042000 08:15 
2097730                        /usr/lib64/libfaad.so.0.0.0
3328000000-3328016000 r-xp 00000000 08:15 
10010475                       /usr/lib64/libdts.so.0.0.0
3328016000-3328216000 ---p 00016000 08:15 
10010475                       /usr/lib64/libdts.so.0.0.0
3328216000-3328223000 rw-p 00016000 08:15 
10010475                       /usr/lib64/libdts.so.0.0.0
3448c00000-3448d25000 r-xp 00000000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448d25000-3448f25000 ---p 00125000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448f25000-3448f44000 rw-p 00125000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448f44000-3448f48000 rw-p 3448f44000 00:00 0
3449000000-3449043000 r-xp 00000000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449043000-3449243000 ---p 00043000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449243000-3449249000 rw-p 00043000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449400000-3449471000 r-xp 00000000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449471000-3449671000 ---p 00071000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449671000-3449676000 rw-p 00071000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449800000-3449868000 r-xp 00000000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.0.0
3449868000-3449a67000 ---p 00068000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.0.0
3449a67000-3449a6b000 rw-p 00067000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.0.0
3449a6b000-3449a6c000 rw-p 3449a6b000 00:00 0
3449c00000-3449c16000 r-xp 00000000 08:15 
10009003                       /usr/lib64/libgnome-2.so.0.1800.0
3449c16000-3449e15000 ---p 00016000 08:15 
10009003                       /usr/lib64/libgnome-2.so.0.1800.0
3449e15000-3449e17000 rw-p 00015000 08:15 
10009003                       /usr/lib64/libgnome-2.so.0.1800.0
34e8800000-34e8816000 r-xp 00000000 08:15 
10849226                       /lib64/libselinux.so.1
34e8816000-34e8a15000 ---p 00016000 08:15 
10849226                       /lib64/libselinux.so.1
34e8a15000-34e8a17000 rw-p 00015000 08:15 
10849226                       /lib64/libselinux.so.1
34e8a17000-34e8a18000 rw-p 34e8a17000 00:00 0
353a200000-353a21a000 r-xp 00000000 08:15 
10849240                       /lib64/ld-2.6.so
353a41a000-353a41b000 r--p 0001a000 08:15 
10849240                       /lib64/ld-2.6.so
353a41b000-353a41c000 rw-p 0001b000 08:15 
10849240                       /lib64/ld-2.6.so
353a600000-353a747000 r-xp 00000000 08:15 
10849250                       /lib64/libc-2.6.so
353a747000-353a947000 ---p 00147000 08:15 
10849250                       /lib64/libc-2.6.so
353a947000-353a94b000 r--p 00147000 08:15 
10849250                       /lib64/libc-2.6.so
353a94b000-353a94c000 rw-p 0014b000 08:15 
10849250                       /lib64/libc-2.6.so
353a94c000-353a951000 rw-p 353a94c000 00:00 0
353ae00000-353ae02000 r-xp 00000000 08:15 
10849251                       /lib64/libdl-2.6.so
353ae02000-353b002000 ---p 00002000 08:15 
10849251                       /lib64/libdl-2.6.so
353b002000-353b003000 r--p 00002000 08:15 
10849251                       /lib64/libdl-2.6.so
353b003000-353b004000 rw-p 00003000 08:15 
10849251                       /lib64/libdl-2.6.so
353b200000-353b214000 r-xp 00000000 08:15 
10849330                       /lib64/libz.so.1.2.3
353b214000-353b413000 ---p 00014000 08:15 
10849330                       /lib64/libz.so.1.2.3
353b413000-353b414000 rw-p 00013000 08:15 
10849330                       /lib64/libz.so.1.2.3
353ba00000-353ba02000 r-xp 00000000 08:15 
10007273                       /usr/lib64/libXau.so.6.0.0
353ba02000-353bc01000 ---p 00002000 08:15 
10007273                       /usr/lib64/libXau.so.6.0.0
353bc01000-353bc02000 rw-p 00001000 08:15 
10007273                       /usr/lib64/libXau.so.6.0.0
353be00000-35Killed
== end "gmplayer" crashdump ==

== begin "totem" crashdump ==
[wahjava@chatteau Videos]$ totem rms-talk.ogg

(totem:11723): GStreamer-WARNING **: Failed to load 
plugin '/usr/lib64/gstreamer-0.10/libgstrtppayloads.so': /usr/lib64/gstreamer-0.10/libgstrtppayloads.so: 
undefined symbol: gst_rtp_g729_pay_plugin_init
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:50: Clearlooks 
configuration option "menuitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:51: Clearlooks 
configuration option "listviewitemstyle" is not supported and will be ignored.
/usr/share/themes/Clearlooks_Cairo-GNOME/gtk-2.0/gtkrc:52: Clearlooks 
configuration option "progressbarstyle" is not supported and will be ignored.
*** glibc detected *** totem: free(): invalid next size (fast): 
0x00000000006b5d30 ***
======= Backtrace: =========
/lib64/libc.so.6[0x353a670412]
/lib64/libc.so.6(cfree+0x8c)[0x353a673b1c]
/usr/lib64/libtheora.so.0(theora_comment_clear+0x4e)[0x3545c01d2e]
/usr/lib64/gstreamer-0.10/libgsttheora.so[0x2aaab69db05d]
/usr/lib64/libgstreamer-0.10.so.0(gst_element_change_state+0x30)
[0x2aaaaaf686b0]
/usr/lib64/libgstreamer-0.10.so.0[0x2aaaaaf68ae4]
/usr/lib64/libgstreamer-0.10.so.0[0x2aaaaaf5cb48]
/usr/lib64/gstreamer-0.10/libgstdecodebin.so[0x2aaab5f952a5]
/usr/lib64/libgstreamer-0.10.so.0(gst_element_change_state+0x30)
[0x2aaaaaf686b0]
/usr/lib64/libgstreamer-0.10.so.0[0x2aaaaaf68ae4]
/usr/lib64/libgstreamer-0.10.so.0[0x2aaaaaf5cb48]
/usr/lib64/libgstreamer-0.10.so.0[0x2aaaaaf84cf0]
/usr/lib64/gstreamer-0.10/libgstplaybin.so[0x2aaab3feed0e]
/usr/lib64/gstreamer-0.10/libgstplaybin.so[0x2aaab3fe7aef]
/usr/lib64/libgstreamer-0.10.so.0(gst_element_change_state+0x30)
[0x2aaaaaf686b0]
/usr/lib64/libgstreamer-0.10.so.0(gst_element_change_state+0x111)
[0x2aaaaaf68791]
/usr/lib64/libgstreamer-0.10.so.0[0x2aaaaaf68ae4]
totem[0x4306ba]
/lib64/libgobject-2.0.so.0(g_object_unref+0x118)[0x3a80e0ce08]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a822738a0]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a822a9b51]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x1c0)[0x3a80e0aff0]
/lib64/libgobject-2.0.so.0[0x3a80e1afcb]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x844)[0x3a80e1bc84]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3a80e1be53]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a823516a0]
/lib64/libgobject-2.0.so.0(g_object_run_dispose+0x40)[0x3a80e0d0f0]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a822738a0]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a822a9b51]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x1c0)[0x3a80e0aff0]
/lib64/libgobject-2.0.so.0[0x3a80e1afcb]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x844)[0x3a80e1bc84]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3a80e1be53]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a823516a0]
/lib64/libgobject-2.0.so.0(g_object_run_dispose+0x40)[0x3a80e0d0f0]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a8235474f]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a822a9b51]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x1c0)[0x3a80e0aff0]
/lib64/libgobject-2.0.so.0[0x3a80e1afcb]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x844)[0x3a80e1bc84]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3a80e1be53]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a823516a0]
/lib64/libgobject-2.0.so.0(g_object_run_dispose+0x40)[0x3a80e0d0f0]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a822738a0]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a822a9b51]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x1c0)[0x3a80e0aff0]
/lib64/libgobject-2.0.so.0[0x3a80e1afcb]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x844)[0x3a80e1bc84]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3a80e1be53]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a823516a0]
/lib64/libgobject-2.0.so.0(g_object_run_dispose+0x40)[0x3a80e0d0f0]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a822a9b51]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x109)[0x3a80e0af39]
/lib64/libgobject-2.0.so.0[0x3a80e1afcb]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x844)[0x3a80e1bc84]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x3a80e1be53]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a823516a0]
/lib64/libgobject-2.0.so.0(g_object_run_dispose+0x40)[0x3a80e0d0f0]
totem(totem_action_exit+0x22a)[0x41963a]
totem[0x41b844]
/usr/lib64/libgtk-x11-2.0.so.0[0x3a82332ded]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x109)[0x3a80e0af39]
/lib64/libgobject-2.0.so.0[0x3a80e1a838]
======= Memory map: ========
00400000-0044f000 r-xp 00000000 08:15 
10009163                           /usr/bin/totem
0064e000-00659000 rw-p 0004e000 08:15 
10009163                           /usr/bin/totem
00659000-0107c000 rw-p 00659000 00:00 0                                  
[heap]
40000000-40001000 ---p 40000000 00:00 0
40001000-40a01000 rw-p 40001000 00:00 0
40a01000-40a02000 ---p 40a01000 00:00 0
40a02000-41402000 rw-p 40a02000 00:00 0
41402000-41403000 ---p 41402000 00:00 0
41403000-41e03000 rw-p 41403000 00:00 0
41e03000-41e04000 ---p 41e03000 00:00 0
41e04000-42804000 rw-p 41e04000 00:00 0
42804000-42805000 ---p 42804000 00:00 0
42805000-43205000 rw-p 42805000 00:00 0
43205000-43206000 ---p 43205000 00:00 0
43206000-43c06000 rw-p 43206000 00:00 0
43c06000-43c07000 ---p 43c06000 00:00 0
43c07000-44607000 rw-p 43c07000 00:00 0
44607000-44608000 ---p 44607000 00:00 0
44608000-45008000 rw-p 44608000 00:00 0
45008000-45009000 ---p 45008000 00:00 0
45009000-45a09000 rw-p 45009000 00:00 0
307ee00000-307ee15000 r-xp 00000000 08:15 
10846223                       /lib64/libnsl-2.6.so
307ee15000-307f014000 ---p 00015000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f014000-307f015000 r--p 00014000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f015000-307f016000 rw-p 00015000 08:15 
10846223                       /lib64/libnsl-2.6.so
307f016000-307f018000 rw-p 307f016000 00:00 0
3448c00000-3448d25000 r-xp 00000000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448d25000-3448f25000 ---p 00125000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448f25000-3448f44000 rw-p 00125000 08:15 
10846378                       /lib64/libcrypto.so.0.9.8b
3448f44000-3448f48000 rw-p 3448f44000 00:00 0
3449000000-3449043000 r-xp 00000000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449043000-3449243000 ---p 00043000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449243000-3449249000 rw-p 00043000 08:15 
10849262                       /lib64/libssl.so.0.9.8b
3449400000-3449471000 r-xp 00000000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449471000-3449671000 ---p 00071000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449671000-3449676000 rw-p 00071000 08:15 
10000527                       /usr/lib64/libgnomevfs-2.so.0.1800.1
3449800000-3449868000 r-xp 00000000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.0.0
3449868000-3449a67000 ---p 00068000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.0.0
3449a67000-3449a6b000 rw-p 00067000 08:15 
10009004                       /usr/lib64/libbonoboui-2.so.0.0.0
3449a6b000-3449a6c000 rw-p 3449a6b000 00:00 0
3449c00000-3449c16000 r-xp 00000000 08:15 
10009003                       /usr/lib64/libgnome-2.so.0.1800.0
3449c16000-3449e15000 ---p 00016000 08:15 
10009003                       /usr/lib64/libgnome-2.so.0.1800.0
3449e15000-3449e17000 rw-p 00015000 08:15 
10009003                       /usr/lib64/libgnome-2.so.0.1800.0
344a000000-344a096000 r-xp 00000000 08:15 
10009005                       /usr/lib64/libgnomeui-2.so.0.1800.1
344a096000-344a296000 ---p 00096000 08:15 
10009005                       /usr/lib64/libgnomeui-2.so.0.1800.1
344a296000-344a29c000 rw-p 00096000 08:15 
10009005                       /usr/lib64/libgnomeui-2.so.0.1800.1
344a400000-344a40f000 r-xp 00000000 08:15 
10009020                       /usr/lib64/libtotem-plparser.so.1.5.7
344a40f000-344a60f000 ---p 0000f000 08:15 
10009020                       /usr/lib64/libtotem-plparser.so.1.5.7
344a60f000-344a610000 rw-p 0000f000 08:15 
10009020                       /usr/lib64/libtotem-plparser.so.1.5.7
344a800000-344a81a000 r-xp 00000000 08:15 
10006171                       /usr/lib64/libgnome-desktop-2.so.2.3.7
344a81a000-344aa19000 ---p 0001a000 08:15 
10006171                       /usr/lib64/libgnome-desktop-2.so.2.3.7
344aa19000-344aa1b000 rw-p 00019000 08:15 
10006171                       /usr/lib64/libgnome-desktop-2.so.2.3.7
34e8800000-34e8816000 r-xp 00000000 08:15 
10849226                       /lib64/libselinux.so.1
34e8816000-34e8a15000 ---p 00016000 08:15 
10849226                       /lib64/libselinux.so.1
34e8a15000-34e8a17000 rw-p 00015000 08:15 
10849226                       /lib64/libselinux.so.1
34e8a17000-34e8a18000 rw-p 34e8a17000 00:00 0
353a200000-353a21a000 r-xp 00000000 08:15 
10849240                       /lib64/ld-2.6.so
353a41a000-353a41b000 r--p 0001a000 08:15 
10849240                       /lib64/ld-2.6.so
353a41b000-353a41c000 rw-p 0001b000 08:15 
10849240                       /lib64/ld-2.6.so
353a600000-353a747000 r-xp 00000000 08:15 
10849250                       /lib64/libc-2.6.so
353a747000-353a947000 ---p 00147000 08:15 
10849250                       /lib64/libc-2.6.so
353a947000-353a94b000 r--p 00147000 08:15 
10849250                       /lib64/libc-2.6.so
353a94b000-353a94c000 rw-p 0014b000 08:15 
10849250                       /lib64/libc-2.6.so
353a94c000-35
== end "totem" crashdump ==
Comment 1 Jakub Jelinek 2007-08-13 12:28:38 EDT
That sounds like memory handling bug most likely in libtheora library,
glibc only detected it and reported.
Run the apps under valgrind, or with MALLOC_CHECK_=3, or ElectricFence
to find out where exactly is the bug.
Comment 2 Ashish Shukla 2007-08-16 02:51:28 EDT
Created attachment 161627 [details]
Output of "MALLOC_CHECK_=3 vlc Videos/rms-talk.ogg"

Output of "MALLOC_CHECK_=3 vlc Videos/rms-talk.ogg"
Comment 3 Ashish Shukla 2007-08-16 02:52:47 EDT
Created attachment 161628 [details]
stderr of "valgrind -v --leak-check=full vlc Videos/rms-talk.ogg"

stderr of "valgrind -v --leak-check=full vlc Videos/rms-talk.ogg"
Comment 4 Hans de Goede 2007-09-11 03:43:10 EDT
This video plays fine for me with the update for bug 232179 installed (from
updates-testing, you need to disable selinux, working on that), closing as a dup
of bug 232179.


*** This bug has been marked as a duplicate of 232179 ***

Note You need to log in before you can comment on or make changes to this bug.